complexType "CommodityFx"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 17 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | primaryRateSource, secondaryRateSource?, fxType?, averagingMethod?, (fixingTime | ((fxObservationDates+ | ((dayType, ((dayDistribution, dayCount?) | (dayOfWeek[1..7], dayNumber?)), (lag | lagReference)?)?, (calculationPeriodsReference | calculationPeriodsScheduleReference | calculationPeriodsDatesReference))), fixingTime?))?
</...>

Content Model Elements (17):

  averagingMethod (defined in CommodityFx complexType), calculationPeriodsDatesReference, calculationPeriodsReference, calculationPeriodsScheduleReference, dayCount, dayDistribution, dayNumber, dayOfWeek, dayType (defined in PricingDays.model group), | fixingTime (defined in CommodityFx complexType), fixingTime (defined in CommodityFx complexType), fxObservationDates, fxType, lag (defined in LagOrReference.model group), lagReference, primaryRateSource (defined in CommodityFx complexType), secondaryRateSource (defined in CommodityFx complexType)

All Direct / Indirect Based Elements (2):

  fx (in calculation in floatingLeg), | fx (in exercise in commodityOption)

Known Usage Locations

- As direct type of elements (2):

  fx (in calculation in floatingLeg), | fx (in exercise in commodityOption)

Annotation
A type defining the FX observations to be used to convert the observed Commodity Reference Price to the Settlement Currency. The rate source must be specified. Additionally, a time for the spot price to be observed on that source may be specified, or else an averaging schedule for trades priced using an average FX rate.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="CommodityFx"> <xsd:sequence> <xsd:element name="primaryRateSource" type="InformationSource"/> <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"/> <xsd:element minOccurs="0" name="fxType" type="CommodityFxType"/> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/> <xsd:choice minOccurs="0"> <xsd:element name="fixingTime" type="BusinessCenterTime"/> <xsd:sequence> <xsd:choice> <xsd:element maxOccurs="unbounded" name="fxObservationDates" type="AdjustableDates"/> <xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:group ref="PricingDays.model"/> <xsd:group minOccurs="0" ref="LagOrReference.model"/> </xsd:sequence> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/17)
averagingMethod

  Type: | AveragingMethodEnum, simple content

  The parties may specify a Method of Averaging when averaging of the FX rate is applicable.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Unweighted" | - | The arithmetic mean of the relevant rates for each reset date. See: http://www.FpML.org
  "Weighted" | - | The arithmetic mean of the relevant rates in effect for each day in a calculation period calculated by multiplying each relevant rate by the number of days such relevant rate is in effect, determining the sum of such products and dividing such sum by the number of days in the calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/>

fixingTime

  Type: | BusinessCenterTime, complex content

  The time at which the spot currency exchange rate will be observed. It is specified as a time in a specific business center, e.g. 11:00am London time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixingTime" type="BusinessCenterTime"/>

fixingTime

  Type: | BusinessCenterTime, complex content

  The time at which the spot currency exchange rate will be observed. It is specified as a time in a specific business center, e.g. 11:00am London time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/>

fxObservationDates

  Type: | AdjustableDates, complex content

  A list of the fx observation dates for a given Calculation Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="fxObservationDates" type="AdjustableDates"/>

fxType

  Type: | CommodityFxType, simple content

  A type to identify how the FX rate will be applied. This is intended to differentiate between the various methods for applying FX to the floating price such as a daily calculation, or averaging the FX and applying the average at the end of each CalculationPeriod.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxType" type="CommodityFxType"/>

primaryRateSource

  Type: | InformationSource, complex content

  The primary source for where the rate observation will occur. Will typically be either a page or a reference bank published rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="primaryRateSource" type="InformationSource"/>

secondaryRateSource

  Type: | InformationSource, complex content

  An alternative, or secondary, source for where the rate observation will occur. Will typically be either a page or a reference bank published rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="secondaryRateSource" type="InformationSource"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.